<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Materials/MatClasses/PPEHBAO.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d34/_p_p_e_h_b_a_o_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPEHBAO.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d34/_p_p_e_h_b_a_o_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">//TODO - may be just a dummy, since SSAO already uses the HBAO materials?</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html">    3</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d5b/class_p_p_e_h_b_a_o.html">PPEHBAO</a>: <a class="code hl_class" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>{</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#ac38adfdb74aea8d33a664c2bef4ed27b">    5</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#ac38adfdb74aea8d33a664c2bef4ed27b">PARAM_RADIUSMETERS</a> = 0;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a1341ed0e44dad43107cbe701c1b99d6c">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a1341ed0e44dad43107cbe701c1b99d6c">PARAM_INTENSITY</a> = 1;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a3134154731fa6602c4211cf82f55f6d5">    7</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a3134154731fa6602c4211cf82f55f6d5">PARAM_BLURSHARPNESS</a> = 2;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a015ad0943615885864d17f7090df16f6">    8</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a015ad0943615885864d17f7090df16f6">PARAM_NDOTVBIAS</a> = 3;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a12a219cb8aada926afd476f2e4237b3b">    9</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a12a219cb8aada926afd476f2e4237b3b">PARAM_SMALLSCALEAO</a> = 4;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a831da5b3f92bfc84944d45989f20b993">   10</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a831da5b3f92bfc84944d45989f20b993">PARAM_LARGESCALEAO</a> = 5;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#ae1344c1f1b7baa255e8dd53b24286e53">   11</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#ae1344c1f1b7baa255e8dd53b24286e53">PARAM_NUMDIRECTIONS</a> = 6;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a6e7e8177cac36d763d629f6bb3880dde">   12</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a6e7e8177cac36d763d629f6bb3880dde">PARAM_NUMSAMPLES</a> = 7;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#ad15ed0af74c6664d09077d39fcb552a3">   13</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#ad15ed0af74c6664d09077d39fcb552a3">PARAM_DEINTERLEAVE</a> = 8;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a0efa9746d61f82dc0a590c3285451a43">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a0efa9746d61f82dc0a590c3285451a43">GetPostProcessEffectID</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.HBAO;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a06b213f92673158d2fa6efc144b89d3d">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a06b213f92673158d2fa6efc144b89d3d">GetDefaultMaterialPath</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Graphics/Materials/postprocess/hbao&quot;</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#aca5b25cb3025fe8df5a92bc9e445014e">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#aca5b25cb3025fe8df5a92bc9e445014e">RegisterMaterialParameters</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#ac38adfdb74aea8d33a664c2bef4ed27b">PARAM_RADIUSMETERS</a>,<span class="stringliteral">&quot;RadiusMeters&quot;</span>,2.0,0.1,10.0);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a1341ed0e44dad43107cbe701c1b99d6c">PARAM_INTENSITY</a>,<span class="stringliteral">&quot;Intensity&quot;</span>,1.0,0.1,100.0);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a3134154731fa6602c4211cf82f55f6d5">PARAM_BLURSHARPNESS</a>,<span class="stringliteral">&quot;BlurSharpness&quot;</span>,32.0,1.0,300.0);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a015ad0943615885864d17f7090df16f6">PARAM_NDOTVBIAS</a>,<span class="stringliteral">&quot;NdotVBias&quot;</span>,0.2,0.0,0.5);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a12a219cb8aada926afd476f2e4237b3b">PARAM_SMALLSCALEAO</a>,<span class="stringliteral">&quot;SmallScaleAO&quot;</span>,1.0,0.1,2.0);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a831da5b3f92bfc84944d45989f20b993">PARAM_LARGESCALEAO</a>,<span class="stringliteral">&quot;LargeScaleAO&quot;</span>,1.0,0.1,2.0);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#aa6672a71ac6c87076587b5beaefe1a40">RegisterParameterScalarInt</a>(<a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#ae1344c1f1b7baa255e8dd53b24286e53">PARAM_NUMDIRECTIONS</a>,<span class="stringliteral">&quot;NumDirections&quot;</span>,8,1,8);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#aa6672a71ac6c87076587b5beaefe1a40">RegisterParameterScalarInt</a>(<a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a6e7e8177cac36d763d629f6bb3880dde">PARAM_NUMSAMPLES</a>,<span class="stringliteral">&quot;NumSamples&quot;</span>,4,1,8);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#a2af6b6240e545365c458d5863bf702ab">RegisterParameterScalarBool</a>(<a class="code hl_variable" href="../../d7/d5b/class_p_p_e_h_b_a_o.html#ad15ed0af74c6664d09077d39fcb552a3">PARAM_DEINTERLEAVE</a>,<span class="stringliteral">&quot;Deinterleave&quot;</span>,<span class="keyword">true</span>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>};</div>
<div class="ttc" id="aclass_p_p_e_class_base_html"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div><div class="ttdoc">Created once, on manager init. Script-side representation of C++ material class, separate handling.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00002">PPEMatClassesBase.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_a2af6b6240e545365c458d5863bf702ab"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#a2af6b6240e545365c458d5863bf702ab">PPEClassBase::RegisterParameterScalarBool</a></div><div class="ttdeci">protected void RegisterParameterScalarBool(int idx, string parameter_name, bool default_value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00059">PPEMatClassesBase.c:59</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_aa6672a71ac6c87076587b5beaefe1a40"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#aa6672a71ac6c87076587b5beaefe1a40">PPEClassBase::RegisterParameterScalarInt</a></div><div class="ttdeci">protected void RegisterParameterScalarInt(int idx, string parameter_name, int default_value, int min, int max)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00067">PPEMatClassesBase.c:67</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_afdb1572dadef790be5856fb27fbbbf02"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">PPEClassBase::RegisterParameterScalarFloat</a></div><div class="ttdeci">protected void RegisterParameterScalarFloat(int idx, string parameter_name, float default_value, float min, float max)</div><div class="ttdoc">WARNING - min/max values are usually taken from Workbench defaults, may not be actual min/max values ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00077">PPEMatClassesBase.c:77</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html">PPEHBAO</a></div><div class="ttdoc">HBAO - PostProcessEffectType.HBAO.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00003">PPEHBAO.c:4</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html_a015ad0943615885864d17f7090df16f6"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a015ad0943615885864d17f7090df16f6">PPEHBAO::PARAM_NDOTVBIAS</a></div><div class="ttdeci">static const int PARAM_NDOTVBIAS</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00008">PPEHBAO.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html_a06b213f92673158d2fa6efc144b89d3d"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a06b213f92673158d2fa6efc144b89d3d">PPEHBAO::GetDefaultMaterialPath</a></div><div class="ttdeci">override string GetDefaultMaterialPath()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00020">PPEHBAO.c:20</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html_a0efa9746d61f82dc0a590c3285451a43"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a0efa9746d61f82dc0a590c3285451a43">PPEHBAO::GetPostProcessEffectID</a></div><div class="ttdeci">override int GetPostProcessEffectID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00015">PPEHBAO.c:15</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html_a12a219cb8aada926afd476f2e4237b3b"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a12a219cb8aada926afd476f2e4237b3b">PPEHBAO::PARAM_SMALLSCALEAO</a></div><div class="ttdeci">static const int PARAM_SMALLSCALEAO</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00009">PPEHBAO.c:9</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html_a1341ed0e44dad43107cbe701c1b99d6c"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a1341ed0e44dad43107cbe701c1b99d6c">PPEHBAO::PARAM_INTENSITY</a></div><div class="ttdeci">static const int PARAM_INTENSITY</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00006">PPEHBAO.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html_a3134154731fa6602c4211cf82f55f6d5"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a3134154731fa6602c4211cf82f55f6d5">PPEHBAO::PARAM_BLURSHARPNESS</a></div><div class="ttdeci">static const int PARAM_BLURSHARPNESS</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00007">PPEHBAO.c:7</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html_a6e7e8177cac36d763d629f6bb3880dde"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a6e7e8177cac36d763d629f6bb3880dde">PPEHBAO::PARAM_NUMSAMPLES</a></div><div class="ttdeci">static const int PARAM_NUMSAMPLES</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00012">PPEHBAO.c:12</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html_a831da5b3f92bfc84944d45989f20b993"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html#a831da5b3f92bfc84944d45989f20b993">PPEHBAO::PARAM_LARGESCALEAO</a></div><div class="ttdeci">static const int PARAM_LARGESCALEAO</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00010">PPEHBAO.c:10</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html_ac38adfdb74aea8d33a664c2bef4ed27b"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html#ac38adfdb74aea8d33a664c2bef4ed27b">PPEHBAO::PARAM_RADIUSMETERS</a></div><div class="ttdeci">static const int PARAM_RADIUSMETERS</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00005">PPEHBAO.c:5</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html_aca5b25cb3025fe8df5a92bc9e445014e"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html#aca5b25cb3025fe8df5a92bc9e445014e">PPEHBAO::RegisterMaterialParameters</a></div><div class="ttdeci">override void RegisterMaterialParameters()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00025">PPEHBAO.c:25</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html_ad15ed0af74c6664d09077d39fcb552a3"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html#ad15ed0af74c6664d09077d39fcb552a3">PPEHBAO::PARAM_DEINTERLEAVE</a></div><div class="ttdeci">static const int PARAM_DEINTERLEAVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00013">PPEHBAO.c:13</a></div></div>
<div class="ttc" id="aclass_p_p_e_h_b_a_o_html_ae1344c1f1b7baa255e8dd53b24286e53"><div class="ttname"><a href="../../d7/d5b/class_p_p_e_h_b_a_o.html#ae1344c1f1b7baa255e8dd53b24286e53">PPEHBAO::PARAM_NUMDIRECTIONS</a></div><div class="ttdeci">static const int PARAM_NUMDIRECTIONS</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d34/_p_p_e_h_b_a_o_8c_source.html#l00011">PPEHBAO.c:11</a></div></div>
<div class="ttc" id="agroup___camera_html_gac5442d940bdd247b908f1f02efd643ec"><div class="ttname"><a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a></div><div class="ttdeci">PostProcessEffectType</div><div class="ttdoc">Post-process effect type.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d09/_en_world_8c_source.html#l00071">EnWorld.c:72</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_8bc3653e9bcdee59a0a321a7f331d675.html">Materials</a></li><li class="navelem"><a class="el" href="../../dir_228b1874a3aee11e6530a88a8cb14f93.html">MatClasses</a></li><li class="navelem"><a class="el" href="../../d5/d34/_p_p_e_h_b_a_o_8c.html">PPEHBAO.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
